Loading...
Searching...
No Matches
logging::EventLog Interface Reference

Device event log interface. More...

`import <EventLog.idl;`

## Public Member Functions

void | clear ()
| Clear the event log.
LogInfo | getInfo ()
| Get info about the event log.
LogChunk | getChunk (in int refId, in int count, in RangeDirection direction, in vector< string > categories)
| Fetch a chunk from the event log.

## Detailed Description

Device event log interface.

Definition at line 23 of file EventLog.idl.

## Member Function Documentation

## getChunk()

LogChunk logging::EventLog::getChunk | ( | in int | refId,
|  | in int | count,
|  | in RangeDirection | direction,
|  | in vector< string > | categories )

Fetch a chunk from the event log.

For details regarding the behavior of this method refer to the description of the logging module in Log.idl.

Parameters

  idRef | First log id to fetch
  count | Number of entries to fetch (applies after filtering)
  direction | Range direction
  categories | Event categories to filter for. If empty, filtering is disabled.

Returns
  log chunk

## getInfo()

LogInfo logging::EventLog::getInfo | ( |  | ) |

Get info about the event log.

Returns
  log info

The documentation for this interface was generated from the following file:

- EventLog.idl